Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.common
Class Environment

    java.lang.Object
      com.arjuna.ats.arjuna.common.Environment

public class Environment
extends java.lang.Object

The various property variables that can be set at runtime to configure the some of the classes within the package. The various values are:

- STATIC_INVENTORY_IMPLE = com.arjuna.ats.internal.arjuna.inventory.staticInventoryImple
- VAR_DIR = com.arjuna.ats.arjuna.common.varDir
- ACTION_STORE= com.arjuna.ats.arjuna.coordinator.actionStore
- ASYNC_COMMIT = com.arjuna.ats.arjuna.coordinator.asyncCommit
- ASYNC_PREPARE = com.arjuna.ats.arjuna.coordinator.asyncPrepare
- ASYNC_ROLLBACK = com.arjuna.ats.arjuna.coordinator.asyncRollback
- COMMIT_ONE_PHASE = com.arjuna.ats.arjuna.coordinator.commitOnePhase
- LOCALOSROOT = com.arjuna.ats.arjuna.objectstore.localOSRoot
- MAINTAIN_HEURISTICS = com.arjuna.ats.arjuna.coordinator.maintainHeuristics
- OBJECTSTORE_DIR = com.arjuna.ats.arjuna.objectstore.objectStoreDir
- OBJECTSTORE_SYNC = com.arjuna.ats.arjuna.objectstore.objectStoreSync
- OBJECTSTORE_TYPE = com.arjuna.ats.arjuna.objectstore.objectStoreType
- HASHED_DIRECTORIES = com.arjuna.ats.arjuna.objectstore.hashedDirectories
- TRANSACTION_LOG = com.arjuna.ats.arjuna.coordinator.transactionLog
- TRANSACTION_SYNC = com.arjuna.ats.arjuna.objectstore.transactionSync
- READONLY_OPTIMISATION = com.arjuna.ats.arjuna.coordinator.readonlyOptimisation
- CLASSIC_PREPARE = com.arjuna.ats.arjuna.coordinator.classicPrepare
- ENABLE_STATISTICS = com.arjuna.ats.arjuna.coordinator.enableStatistics
- SHARED_TRANSACTION_LOG = com.arjuna.ats.arjuna.coordinator.sharedTransactionLog
- START_DISABLED = com.arjuna.ats.arjuna.coordinator.startDisabled
- JDBC_USER_DB_ACCESS = com.arjuna.ats.arjuna.objectstore.jdbcUserDbAccess
- JDBC_TX_DB_ACCESS = com.arjuna.ats.arjuna.objectstore.jdbcTxDbAccess
- JDBC_POOL_SIZE_INIT = com.arjuna.ats.arjuna.objectstore.jdbcPoolSizeInitial
- JDBC_POOL_SIZE_MAX = com.arjuna.ats.arjuna.objectstore.jdbcPoolSizeMaximum
- JDBC_POOL_PUT = com.arjuna.ats.arjuna.objectstore.jdbcPoolPutConnections
- LICENCE = com.arjuna.ats.arjuna.licence
- CACHE_STORE_SIZE = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.size
- CACHE_STORE_SYNC = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.sync
- CACHE_STORE_REMOVED_ITEMS = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.removedItems
- CACHE_STORE_SCAN_PERIOD = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.scanPeriod
- CACHE_STORE_WORK_ITEMS = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.workItems
- CACHE_STORE_HASH = com.arjuna.ats.internal.arjuna.objectstore.cacheStore.hash
- PERIODIC_RECOVERY_PERIOD = com.arjuna.ats.arjuna.recovery.periodicRecoveryPeriod
- RECOVERY_BACKOFF_PERIOD = com.arjuna.ats.arjuna.recovery.recoveryBackoffPeriod
- TX_REAPER_MODE = com.arjuna.ats.arjuna.coordinator.txReaperMode
- TX_REAPER_TIMEOUT = com.arjuna.ats.arjuna.coordinator.txReaperTimeout
- OBJECTSTORE_SHARE = com.arjuna.ats.arjuna.objectstore.share
- OBJECTSTORE_HIERARCHY_RETRY = com.arjuna.ats.arjuna.objectstore.hierarchyRetry
- OBJECTSTORE_HIERARCHY_TIMEOUT = com.arjuna.ats.arjuna.objectstore.hierarchyTimeout
- RECOVERY_MANAGER_PORT = com.arjuna.ats.internal.arjuna.recovery.recoveryPort
- XA_NODE_IDENTIFIER = com.arjuna.ats.arjuna.xa.nodeIdentifier
- DEFAULT_TIMEOUT = com.arjuna.ats.arjuna.coordinator.defaultTimeout

Since:
  1.0.
Version:
  $Id: Environment.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static java.lang.String` | `ACTION_STORE`
`static java.lang.String` | `ASYNC_COMMIT`
`static java.lang.String` | `ASYNC_PREPARE`
`static java.lang.String` | `ASYNC_ROLLBACK`
`static java.lang.String` | `CACHE_STORE_HASH`
`static java.lang.String` | `CACHE_STORE_REMOVED_ITEMS`
`static java.lang.String` | `CACHE_STORE_SCAN_PERIOD`
`static java.lang.String` | `CACHE_STORE_SIZE`
`static java.lang.String` | `CACHE_STORE_SYNC`
`static java.lang.String` | `CACHE_STORE_WORK_ITEMS`
`static java.lang.String` | `CLASSIC_PREPARE`
`static java.lang.String` | `COMMIT_ONE_PHASE`
`static java.lang.String` | `DEFAULT_TIMEOUT`
`static java.lang.String` | `ENABLE_STATISTICS`
`static java.lang.String` | `HASHED_DIRECTORIES`
`static java.lang.String` | `JDBC_POOL_PUT`
`static java.lang.String` | `JDBC_POOL_SIZE_INIT`
`static java.lang.String` | `JDBC_POOL_SIZE_MAX`
`static java.lang.String` | `JDBC_TX_DB_ACCESS`
`static java.lang.String` | `JDBC_USER_DB_ACCESS`
`static java.lang.String` | `LICENCE`
`static java.lang.String` | `LOCALOSROOT`
`static java.lang.String` | `MAINTAIN_HEURISTICS`
`static java.lang.String` | `OBJECTSTORE_DIR`
`static java.lang.String` | `OBJECTSTORE_HIERARCHY_RETRY`
`static java.lang.String` | `OBJECTSTORE_HIERARCHY_TIMEOUT`
`static java.lang.String` | `OBJECTSTORE_SHARE`
`static java.lang.String` | `OBJECTSTORE_SYNC`
`static java.lang.String` | `OBJECTSTORE_TYPE`
`static java.lang.String` | `PERIODIC_RECOVERY_PERIOD`
`static java.lang.String` | `PROPERTIES_FILE`
`static java.lang.String` | `READONLY_OPTIMISATION`
`static java.lang.String` | `RECOVERY_BACKOFF_PERIOD`
`static java.lang.String` | `RECOVERY_MANAGER_PORT`
`static java.lang.String` | `SHARED_TRANSACTION_LOG`
`static java.lang.String` | `START_DISABLED`
`static java.lang.String` | `STATIC_INVENTORY_IMPLE`
`static java.lang.String` | `TRANSACTION_LOG`
`static java.lang.String` | `TRANSACTION_LOG_WRITE_OPTIMISATION`
`static java.lang.String` | `TRANSACTION_SYNC`
`static java.lang.String` | `TX_REAPER_MODE`
`static java.lang.String` | `TX_REAPER_TIMEOUT`
`static java.lang.String` | `VAR_DIR`
`static java.lang.String` | `XA_NODE_IDENTIFIER`

Constructor Summary
`Environment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### STATIC_INVENTORY_IMPLE

    public static final java.lang.String STATIC_INVENTORY_IMPLE

See Also:
  Constant Field Values

### VAR_DIR

    public static final java.lang.String VAR_DIR

See Also:
  Constant Field Values

### ACTION_STORE

    public static final java.lang.String ACTION_STORE

See Also:
  Constant Field Values

### ASYNC_COMMIT

    public static final java.lang.String ASYNC_COMMIT

See Also:
  Constant Field Values

### ASYNC_PREPARE

    public static final java.lang.String ASYNC_PREPARE

See Also:
  Constant Field Values

### ASYNC_ROLLBACK

    public static final java.lang.String ASYNC_ROLLBACK

See Also:
  Constant Field Values

### COMMIT_ONE_PHASE

    public static final java.lang.String COMMIT_ONE_PHASE

See Also:
  Constant Field Values

### LOCALOSROOT

    public static final java.lang.String LOCALOSROOT

See Also:
  Constant Field Values

### MAINTAIN_HEURISTICS

    public static final java.lang.String MAINTAIN_HEURISTICS

See Also:
  Constant Field Values

### OBJECTSTORE_DIR

    public static final java.lang.String OBJECTSTORE_DIR

See Also:
  Constant Field Values

### OBJECTSTORE_SYNC

    public static final java.lang.String OBJECTSTORE_SYNC

See Also:
  Constant Field Values

### OBJECTSTORE_TYPE

    public static final java.lang.String OBJECTSTORE_TYPE

See Also:
  Constant Field Values

### HASHED_DIRECTORIES

    public static final java.lang.String HASHED_DIRECTORIES

See Also:
  Constant Field Values

### TRANSACTION_LOG

    public static final java.lang.String TRANSACTION_LOG

See Also:
  Constant Field Values

### TRANSACTION_LOG_WRITE_OPTIMISATION

    public static final java.lang.String TRANSACTION_LOG_WRITE_OPTIMISATION

See Also:
  Constant Field Values

### TRANSACTION_SYNC

    public static final java.lang.String TRANSACTION_SYNC

See Also:
  Constant Field Values

### READONLY_OPTIMISATION

    public static final java.lang.String READONLY_OPTIMISATION

See Also:
  Constant Field Values

### CLASSIC_PREPARE

    public static final java.lang.String CLASSIC_PREPARE

See Also:
  Constant Field Values

### ENABLE_STATISTICS

    public static final java.lang.String ENABLE_STATISTICS

See Also:
  Constant Field Values

### SHARED_TRANSACTION_LOG

    public static final java.lang.String SHARED_TRANSACTION_LOG

See Also:
  Constant Field Values

### START_DISABLED

    public static final java.lang.String START_DISABLED

See Also:
  Constant Field Values

### JDBC_USER_DB_ACCESS

    public static final java.lang.String JDBC_USER_DB_ACCESS

See Also:
  Constant Field Values

### JDBC_TX_DB_ACCESS

    public static final java.lang.String JDBC_TX_DB_ACCESS

See Also:
  Constant Field Values

### JDBC_POOL_SIZE_INIT

    public static final java.lang.String JDBC_POOL_SIZE_INIT

See Also:
  Constant Field Values

### JDBC_POOL_SIZE_MAX

    public static final java.lang.String JDBC_POOL_SIZE_MAX

See Also:
  Constant Field Values

### JDBC_POOL_PUT

    public static final java.lang.String JDBC_POOL_PUT

See Also:
  Constant Field Values

### LICENCE

    public static final java.lang.String LICENCE

See Also:
  Constant Field Values

### CACHE_STORE_SIZE

    public static final java.lang.String CACHE_STORE_SIZE

See Also:
  Constant Field Values

### CACHE_STORE_SYNC

    public static final java.lang.String CACHE_STORE_SYNC

See Also:
  Constant Field Values

### CACHE_STORE_REMOVED_ITEMS

    public static final java.lang.String CACHE_STORE_REMOVED_ITEMS

See Also:
  Constant Field Values

### CACHE_STORE_SCAN_PERIOD

    public static final java.lang.String CACHE_STORE_SCAN_PERIOD

See Also:
  Constant Field Values

### CACHE_STORE_WORK_ITEMS

    public static final java.lang.String CACHE_STORE_WORK_ITEMS

See Also:
  Constant Field Values

### CACHE_STORE_HASH

    public static final java.lang.String CACHE_STORE_HASH

See Also:
  Constant Field Values

### PERIODIC_RECOVERY_PERIOD

    public static final java.lang.String PERIODIC_RECOVERY_PERIOD

See Also:
  Constant Field Values

### RECOVERY_BACKOFF_PERIOD

    public static final java.lang.String RECOVERY_BACKOFF_PERIOD

See Also:
  Constant Field Values

### TX_REAPER_MODE

    public static final java.lang.String TX_REAPER_MODE

See Also:
  Constant Field Values

### TX_REAPER_TIMEOUT

    public static final java.lang.String TX_REAPER_TIMEOUT

See Also:
  Constant Field Values

### OBJECTSTORE_SHARE

    public static final java.lang.String OBJECTSTORE_SHARE

See Also:
  Constant Field Values

### OBJECTSTORE_HIERARCHY_RETRY

    public static final java.lang.String OBJECTSTORE_HIERARCHY_RETRY

See Also:
  Constant Field Values

### OBJECTSTORE_HIERARCHY_TIMEOUT

    public static final java.lang.String OBJECTSTORE_HIERARCHY_TIMEOUT

See Also:
  Constant Field Values

### RECOVERY_MANAGER_PORT

    public static final java.lang.String RECOVERY_MANAGER_PORT

See Also:
  Constant Field Values

### XA_NODE_IDENTIFIER

    public static final java.lang.String XA_NODE_IDENTIFIER

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT

    public static final java.lang.String DEFAULT_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD